<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::core::Point3Ddata Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1_point3_ddata.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1core_1_1_point3_ddata-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::core::Point3Ddata Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a 3D point and a <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> User must manually use the <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a>'s <a class="el" href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> to access to <a class="el" href="classframework_1_1core_1_1_point3_d.html" title="Class defining a 3D point. ">Point3D</a> values.  
 <a href="classframework_1_1core_1_1_point3_ddata.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_point3_ddata_8h_source.html">Point3Ddata.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::core::Point3Ddata:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1core_1_1_point3_ddata.png" usemap="#framework::core::Point3Ddata_map" alt=""/>
  <map id="framework::core::Point3Ddata_map" name="framework::core::Point3Ddata_map">
<area href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. " alt="framework::core::io_data" shape="rect" coords="0,112,177,136"/>
<area href="classframework_1_1core_1_1_point3_d.html" title="Class defining a 3D point. " alt="framework::core::Point3D" shape="rect" coords="187,112,364,136"/>
<area href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. " alt="framework::core::Mutex" shape="rect" coords="0,56,177,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,177,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4bd1a1e9a503d289b7d2cc470449b874"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_ddata.html#a4bd1a1e9a503d289b7d2cc470449b874">Point3Ddata</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name, float <a class="el" href="classframework_1_1core_1_1_point3_d.html#acd87f77c6f9b7910503b428c039062dc">x</a>=0, float <a class="el" href="classframework_1_1core_1_1_point3_d.html#a559222769c545076728647cc164759e6">y</a>=0, float <a class="el" href="classframework_1_1core_1_1_point3_d.html#a26d3078830242ae0514109d02f072734">z</a>=0, uint32_t n=1)</td></tr>
<tr class="memdesc:a4bd1a1e9a503d289b7d2cc470449b874"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a4bd1a1e9a503d289b7d2cc470449b874">More...</a><br /></td></tr>
<tr class="separator:a4bd1a1e9a503d289b7d2cc470449b874"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade28ba8acbb93c19239d561cc9e3ef73"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_ddata.html#ade28ba8acbb93c19239d561cc9e3ef73">~Point3Ddata</a> ()</td></tr>
<tr class="memdesc:ade28ba8acbb93c19239d561cc9e3ef73"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ade28ba8acbb93c19239d561cc9e3ef73">More...</a><br /></td></tr>
<tr class="separator:ade28ba8acbb93c19239d561cc9e3ef73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08b9c5883d3888ad059c839df81db737"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_ddata.html#a08b9c5883d3888ad059c839df81db737">XElement</a> (void) const </td></tr>
<tr class="memdesc:a08b9c5883d3888ad059c839df81db737"><td class="mdescLeft">&#160;</td><td class="mdescRight">X Element.  <a href="#a08b9c5883d3888ad059c839df81db737">More...</a><br /></td></tr>
<tr class="separator:a08b9c5883d3888ad059c839df81db737"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a450fa0db78acef83b87b6bc9122eeb51"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_ddata.html#a450fa0db78acef83b87b6bc9122eeb51">YElement</a> (void) const </td></tr>
<tr class="memdesc:a450fa0db78acef83b87b6bc9122eeb51"><td class="mdescLeft">&#160;</td><td class="mdescRight">Y Element.  <a href="#a450fa0db78acef83b87b6bc9122eeb51">More...</a><br /></td></tr>
<tr class="separator:a450fa0db78acef83b87b6bc9122eeb51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed3cce25d0a340fea5b00ff63ad28a38"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_ddata.html#aed3cce25d0a340fea5b00ff63ad28a38">ZElement</a> (void) const </td></tr>
<tr class="memdesc:aed3cce25d0a340fea5b00ff63ad28a38"><td class="mdescLeft">&#160;</td><td class="mdescRight">Z Element.  <a href="#aed3cce25d0a340fea5b00ff63ad28a38">More...</a><br /></td></tr>
<tr class="separator:aed3cce25d0a340fea5b00ff63ad28a38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></td></tr>
<tr class="memitem:a500e7488e41a484be23b29e13645cf8b inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a500e7488e41a484be23b29e13645cf8b">io_data</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name, int n)</td></tr>
<tr class="memdesc:a500e7488e41a484be23b29e13645cf8b inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a500e7488e41a484be23b29e13645cf8b">More...</a><br /></td></tr>
<tr class="separator:a500e7488e41a484be23b29e13645cf8b inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa08b00b8f76a7bb14d7498e8e34649a2 inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#aa08b00b8f76a7bb14d7498e8e34649a2">~io_data</a> ()</td></tr>
<tr class="memdesc:aa08b00b8f76a7bb14d7498e8e34649a2 inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa08b00b8f76a7bb14d7498e8e34649a2">More...</a><br /></td></tr>
<tr class="separator:aa08b00b8f76a7bb14d7498e8e34649a2 inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4eca364240e1b754fa989bda9717d5a inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#af4eca364240e1b754fa989bda9717d5a">SetDataTime</a> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> time)</td></tr>
<tr class="memdesc:af4eca364240e1b754fa989bda9717d5a inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set data time.  <a href="#af4eca364240e1b754fa989bda9717d5a">More...</a><br /></td></tr>
<tr class="separator:af4eca364240e1b754fa989bda9717d5a inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f765c0a062a096fc4a4e0b8ef924cae inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a5f765c0a062a096fc4a4e0b8ef924cae">DataTime</a> (void) const </td></tr>
<tr class="memdesc:a5f765c0a062a096fc4a4e0b8ef924cae inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data time.  <a href="#a5f765c0a062a096fc4a4e0b8ef924cae">More...</a><br /></td></tr>
<tr class="separator:a5f765c0a062a096fc4a4e0b8ef924cae inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9549e4e07891d29b00710b75d92bef0e inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a9549e4e07891d29b00710b75d92bef0e">Prev</a> (int n) const </td></tr>
<tr class="memdesc:a9549e4e07891d29b00710b75d92bef0e inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Previous data.  <a href="#a9549e4e07891d29b00710b75d92bef0e">More...</a><br /></td></tr>
<tr class="separator:a9549e4e07891d29b00710b75d92bef0e inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac67a16193b8e8f174adbf679469506c9 inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac67a16193b8e8f174adbf679469506c9"></a>
virtual <a class="el" href="classframework_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetDataType</b> () const =0</td></tr>
<tr class="separator:ac67a16193b8e8f174adbf679469506c9 inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_mutex"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_mutex')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_mutex.html">framework::core::Mutex</a></td></tr>
<tr class="memitem:aa003ee75f09b85ecb182a135a42a739e inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#aa003ee75f09b85ecb182a135a42a739e">Mutex</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name=&quot;&quot;)</td></tr>
<tr class="memdesc:aa003ee75f09b85ecb182a135a42a739e inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aa003ee75f09b85ecb182a135a42a739e">More...</a><br /></td></tr>
<tr class="separator:aa003ee75f09b85ecb182a135a42a739e inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a67ec45af9ba25a8a885d8473c9ae65 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#a3a67ec45af9ba25a8a885d8473c9ae65">~Mutex</a> ()</td></tr>
<tr class="memdesc:a3a67ec45af9ba25a8a885d8473c9ae65 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a3a67ec45af9ba25a8a885d8473c9ae65">More...</a><br /></td></tr>
<tr class="separator:a3a67ec45af9ba25a8a885d8473c9ae65 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4eb4450c5af21f4ba6c16b2a58e7d0e4 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#a4eb4450c5af21f4ba6c16b2a58e7d0e4">GetMutex</a> (void) const </td></tr>
<tr class="memdesc:a4eb4450c5af21f4ba6c16b2a58e7d0e4 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">GetMutex.  <a href="#a4eb4450c5af21f4ba6c16b2a58e7d0e4">More...</a><br /></td></tr>
<tr class="separator:a4eb4450c5af21f4ba6c16b2a58e7d0e4 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a747027e52ff793c20016eb82b3a242e2 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#a747027e52ff793c20016eb82b3a242e2">ReleaseMutex</a> (void) const </td></tr>
<tr class="memdesc:a747027e52ff793c20016eb82b3a242e2 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">ReleaseMutex.  <a href="#a747027e52ff793c20016eb82b3a242e2">More...</a><br /></td></tr>
<tr class="separator:a747027e52ff793c20016eb82b3a242e2 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_point3_d"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_point3_d')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td></tr>
<tr class="memitem:ad76e44929f1acd3c609107641bedac85 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_d.html#ad76e44929f1acd3c609107641bedac85">Point3D</a> (float <a class="el" href="classframework_1_1core_1_1_point3_d.html#acd87f77c6f9b7910503b428c039062dc">x</a>=0, float <a class="el" href="classframework_1_1core_1_1_point3_d.html#a559222769c545076728647cc164759e6">y</a>=0, float <a class="el" href="classframework_1_1core_1_1_point3_d.html#a26d3078830242ae0514109d02f072734">z</a>=0)</td></tr>
<tr class="memdesc:ad76e44929f1acd3c609107641bedac85 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ad76e44929f1acd3c609107641bedac85">More...</a><br /></td></tr>
<tr class="separator:ad76e44929f1acd3c609107641bedac85 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1ee45d703ac5a36f35b721811c6aed9 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_d.html#af1ee45d703ac5a36f35b721811c6aed9">~Point3D</a> ()</td></tr>
<tr class="memdesc:af1ee45d703ac5a36f35b721811c6aed9 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#af1ee45d703ac5a36f35b721811c6aed9">More...</a><br /></td></tr>
<tr class="separator:af1ee45d703ac5a36f35b721811c6aed9 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fa558a2d1319abd99d2497324b2253e inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a7fa558a2d1319abd99d2497324b2253e">RotateX</a> (float value)</td></tr>
<tr class="memdesc:a7fa558a2d1319abd99d2497324b2253e inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">x axis rotation  <a href="#a7fa558a2d1319abd99d2497324b2253e">More...</a><br /></td></tr>
<tr class="separator:a7fa558a2d1319abd99d2497324b2253e inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6b0f5db7980c641ada678f963837d5f inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_d.html#ac6b0f5db7980c641ada678f963837d5f">RotateXDeg</a> (float value)</td></tr>
<tr class="memdesc:ac6b0f5db7980c641ada678f963837d5f inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">x axis rotation  <a href="#ac6b0f5db7980c641ada678f963837d5f">More...</a><br /></td></tr>
<tr class="separator:ac6b0f5db7980c641ada678f963837d5f inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28e7a11fc017e4c660d4ab45a7c9236f inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a28e7a11fc017e4c660d4ab45a7c9236f">RotateY</a> (float value)</td></tr>
<tr class="memdesc:a28e7a11fc017e4c660d4ab45a7c9236f inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">y axis rotation  <a href="#a28e7a11fc017e4c660d4ab45a7c9236f">More...</a><br /></td></tr>
<tr class="separator:a28e7a11fc017e4c660d4ab45a7c9236f inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28d83a4869b847e617933c905df9e0e5 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a28d83a4869b847e617933c905df9e0e5">RotateYDeg</a> (float value)</td></tr>
<tr class="memdesc:a28d83a4869b847e617933c905df9e0e5 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">y axis rotation  <a href="#a28d83a4869b847e617933c905df9e0e5">More...</a><br /></td></tr>
<tr class="separator:a28d83a4869b847e617933c905df9e0e5 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c39f3563aad84ed29d443647e901b15 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a5c39f3563aad84ed29d443647e901b15">RotateZ</a> (float value)</td></tr>
<tr class="memdesc:a5c39f3563aad84ed29d443647e901b15 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">z axis rotation  <a href="#a5c39f3563aad84ed29d443647e901b15">More...</a><br /></td></tr>
<tr class="separator:a5c39f3563aad84ed29d443647e901b15 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fc238d5f6845e00743b958648b0907d inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a1fc238d5f6845e00743b958648b0907d">RotateZDeg</a> (float value)</td></tr>
<tr class="memdesc:a1fc238d5f6845e00743b958648b0907d inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">z axis rotation  <a href="#a1fc238d5f6845e00743b958648b0907d">More...</a><br /></td></tr>
<tr class="separator:a1fc238d5f6845e00743b958648b0907d inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad50b0abcc178cbbe3d39bf16c904916f inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_d.html#ad50b0abcc178cbbe3d39bf16c904916f">Rotate</a> (const <a class="el" href="classframework_1_1core_1_1_rotation_matrix.html">RotationMatrix</a> &amp;matrix)</td></tr>
<tr class="memdesc:ad50b0abcc178cbbe3d39bf16c904916f inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">rotation  <a href="#ad50b0abcc178cbbe3d39bf16c904916f">More...</a><br /></td></tr>
<tr class="separator:ad50b0abcc178cbbe3d39bf16c904916f inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a062622b0457bd0d41f774f9fa6b28350 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a062622b0457bd0d41f774f9fa6b28350">Rotate</a> (const <a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion)</td></tr>
<tr class="memdesc:a062622b0457bd0d41f774f9fa6b28350 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">rotation  <a href="#a062622b0457bd0d41f774f9fa6b28350">More...</a><br /></td></tr>
<tr class="separator:a062622b0457bd0d41f774f9fa6b28350 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23ae08b760a4b9259b35df4f9615b6e0 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a23ae08b760a4b9259b35df4f9615b6e0">To2Dxy</a> (<a class="el" href="classframework_1_1core_1_1_point2_d.html">Point2D</a> &amp;point) const </td></tr>
<tr class="memdesc:a23ae08b760a4b9259b35df4f9615b6e0 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to a <a class="el" href="classframework_1_1core_1_1_point2_d.html" title="Class defining a 2D point. ">Point2D</a>.  <a href="#a23ae08b760a4b9259b35df4f9615b6e0">More...</a><br /></td></tr>
<tr class="separator:a23ae08b760a4b9259b35df4f9615b6e0 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a992b123b8b4b5fa957c4770de9a40d83 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a992b123b8b4b5fa957c4770de9a40d83">Norm</a> (void) const </td></tr>
<tr class="memdesc:a992b123b8b4b5fa957c4770de9a40d83 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Norm.  <a href="#a992b123b8b4b5fa957c4770de9a40d83">More...</a><br /></td></tr>
<tr class="separator:a992b123b8b4b5fa957c4770de9a40d83 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29cd11912dfc2cee517421fe7a4a8274 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a29cd11912dfc2cee517421fe7a4a8274">Normalize</a> (void)</td></tr>
<tr class="memdesc:a29cd11912dfc2cee517421fe7a4a8274 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normalize.  <a href="#a29cd11912dfc2cee517421fe7a4a8274">More...</a><br /></td></tr>
<tr class="separator:a29cd11912dfc2cee517421fe7a4a8274 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa318f8173898cd7112345a5373fa5d72 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa318f8173898cd7112345a5373fa5d72"></a>
float &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (size_t idx)</td></tr>
<tr class="separator:aa318f8173898cd7112345a5373fa5d72 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6a6d129fc64f4b76e680d6c8b510bd1 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac6a6d129fc64f4b76e680d6c8b510bd1"></a>
const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (size_t idx) const </td></tr>
<tr class="separator:ac6a6d129fc64f4b76e680d6c8b510bd1 inherit pub_methods_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classframework_1_1core_1_1_point3_d"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classframework_1_1core_1_1_point3_d')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="classframework_1_1core_1_1_point3_d.html">framework::core::Point3D</a></td></tr>
<tr class="memitem:acd87f77c6f9b7910503b428c039062dc inherit pub_attribs_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_d.html#acd87f77c6f9b7910503b428c039062dc">x</a></td></tr>
<tr class="memdesc:acd87f77c6f9b7910503b428c039062dc inherit pub_attribs_classframework_1_1core_1_1_point3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">x  <a href="#acd87f77c6f9b7910503b428c039062dc">More...</a><br /></td></tr>
<tr class="separator:acd87f77c6f9b7910503b428c039062dc inherit pub_attribs_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a559222769c545076728647cc164759e6 inherit pub_attribs_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a559222769c545076728647cc164759e6">y</a></td></tr>
<tr class="memdesc:a559222769c545076728647cc164759e6 inherit pub_attribs_classframework_1_1core_1_1_point3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">y  <a href="#a559222769c545076728647cc164759e6">More...</a><br /></td></tr>
<tr class="separator:a559222769c545076728647cc164759e6 inherit pub_attribs_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26d3078830242ae0514109d02f072734 inherit pub_attribs_classframework_1_1core_1_1_point3_d"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point3_d.html#a26d3078830242ae0514109d02f072734">z</a></td></tr>
<tr class="memdesc:a26d3078830242ae0514109d02f072734 inherit pub_attribs_classframework_1_1core_1_1_point3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">z  <a href="#a26d3078830242ae0514109d02f072734">More...</a><br /></td></tr>
<tr class="separator:a26d3078830242ae0514109d02f072734 inherit pub_attribs_classframework_1_1core_1_1_point3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></td></tr>
<tr class="memitem:aecf70fbea0ef977062dd7146b9006490 inherit pro_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#aecf70fbea0ef977062dd7146b9006490">AppendLogDescription</a> (std::string description, <a class="el" href="classframework_1_1core_1_1_data_type.html">DataType</a> const &amp;datatype)</td></tr>
<tr class="memdesc:aecf70fbea0ef977062dd7146b9006490 inherit pro_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Specify the description of the reimplemented class data's.  <a href="#aecf70fbea0ef977062dd7146b9006490">More...</a><br /></td></tr>
<tr class="separator:aecf70fbea0ef977062dd7146b9006490 inherit pro_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65e6d218e3699bfbb7c8c958d85156bf inherit pro_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a65e6d218e3699bfbb7c8c958d85156bf">SetPtrToCircle</a> (void **ptr)</td></tr>
<tr class="memdesc:a65e6d218e3699bfbb7c8c958d85156bf inherit pro_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the datas to circle.  <a href="#a65e6d218e3699bfbb7c8c958d85156bf">More...</a><br /></td></tr>
<tr class="separator:a65e6d218e3699bfbb7c8c958d85156bf inherit pro_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classframework_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classframework_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></td></tr>
<tr class="memitem:a12e0da00d9b0af3e7009f7c840d91272 inherit pro_attribs_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a12e0da00d9b0af3e7009f7c840d91272">prev</a></td></tr>
<tr class="memdesc:a12e0da00d9b0af3e7009f7c840d91272 inherit pro_attribs_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to previous data.  <a href="#a12e0da00d9b0af3e7009f7c840d91272">More...</a><br /></td></tr>
<tr class="separator:a12e0da00d9b0af3e7009f7c840d91272 inherit pro_attribs_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining a 3D point and a <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> User must manually use the <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a>'s <a class="el" href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> to access to <a class="el" href="classframework_1_1core_1_1_point3_d.html" title="Class defining a 3D point. ">Point3D</a> values. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4bd1a1e9a503d289b7d2cc470449b874"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::Point3Ddata::Point3Ddata </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>x</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>y</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>z</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>n</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="classframework_1_1core_1_1_point3_d.html" title="Class defining a 3D point. ">Point3D</a> using specified values.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td></td></tr>
    <tr><td class="paramname">y</td><td></td></tr>
    <tr><td class="paramname">z</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ade28ba8acbb93c19239d561cc9e3ef73"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::Point3Ddata::~Point3Ddata </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a08b9c5883d3888ad059c839df81db737"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a>* framework::core::Point3Ddata::XElement </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>X Element. </p>
<p>Get a pointer to x element. This pointer can be used for plotting.</p>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element </dd></dl>

</div>
</div>
<a class="anchor" id="a450fa0db78acef83b87b6bc9122eeb51"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a>* framework::core::Point3Ddata::YElement </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Y Element. </p>
<p>Get a pointer to y element. This pointer can be used for plotting.</p>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element </dd></dl>

</div>
</div>
<a class="anchor" id="aed3cce25d0a340fea5b00ff63ad28a38"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a>* framework::core::Point3Ddata::ZElement </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Z Element. </p>
<p>Get a pointer to z element. This pointer can be used for plotting.</p>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classframework_1_1core_1_1_point3_ddata.html">Point3Ddata</a></li>
    <li class="footer">Generated on Thu Feb 18 2016 17:14:16 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
